Subject: Re: gnu-win32-specific bug in RCS 5.7
From: [email-masked] ("Mikey")

24 May 1997 20:20:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Vassilii Khachaturov" <[email-masked]>
Original-Cc: "cygnus gnu-win32 mailing list" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

I would do that Vassilii, but by the time the patch were integrated, and released
it would (I hope), be useless, because (I hope), fixing the dll as time
goes on will fix the problems.

I don't like fixing applications to work with development "kernels"
because generally speaking you are wasting your time.

You are better off fixing the "kernel" in the first place
or in this case the dll.

Sadly I couldn't figure out a "kernel" fix for this one, and I need rcs
cause I use it under linux, djgpp, and OS/2 so I "fixed" it.

([email-masked])
       the return address for this message is anti spammed
       remove * from the above address to reply.
       Mikey
 ----
From: Vassilii Khachaturov <[email-masked]>
To: 'smtp:[email-masked]'
Cc: gnu-win32 <[email-masked]>
Date: Friday, May 23, 1997 10:31 AM
Subject: Re: gnu-win32-specific bug in RCS 5.7

>
>Thank you. It helped on NT, too.
>Consider passing the patch to the RCS bugs mailing list
>([email-masked]).
>
> --- conf.sh.orig        Mon Mar 17 18:15:23 1997
>+++ conf.sh     Mon Mar 17 18:22:37 1997
>@@ -1794,8 +1794,8 @@
> EOF
> $PREPARE_CC || exit
> h=0 p=0
> -if ($CL a.c $L && sh -c 'pid=$$; (sleep 3; kill $pid)& exec '$aout) >&2
> -then
>+if ($CL a.c $L && sh -c 'pid=$$; (sleep 3; kill $pid)& sleep 4;exec '$aout)
>>&2
>+then  #extra sleep for fork bug
>        h=1
>        $PREPARE_CC || exit
>        $CS -Dhas_attribute_format_printf=1 a.c >&2 && $CS_OK && p=1
>@@ -1890,10 +1890,11 @@
> echo "$a#undef EXIT_FAILURE $z/* Uncomment this if EXIT_FAILURE is broken.
>*/"
>
> : configuring large_memory
> -case "$has_map_fd$has_mmap" in
> -*1*) l=1;;
> -*) l=0
> -esac
>+#case "$has_map_fd$has_mmap" in
>+#*1*) l=1;;
>+#*) l=0
>+#esac
>+l=1 #force large_memory to overcome win95 short read bug
> echo "#define large_memory $l /* Can main memory hold entire RCS files?
> */"
>
> $ech >&3 "$0: configuring LONG_MAX $dots"
> --- rcstest.orig        Mon Mar 17 19:14:23 1997
>+++ rcstest     Mon Mar 17 19:14:51 1997
>@@ -173,7 +173,7 @@
>        case $USER in
>        ?*) me=$USER;;
>        *)
> -               me=`who am i` || exit 2
>+               me=`whoami` || exit 2
>                me=`echo "$me" | sed -e 's/ .*//' -e 's/.*!//'`
>                case $me in
>                '') echo >&2 "$0: cannot deduce user name"; exit 2
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".